org.apache.commons.math.geometry

## Class NotARotationMatrixException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.commons.math.MathException
      - - org.apache.commons.math.geometry.NotARotationMatrixException

All Implemented Interfaces:
  Serializable, MathThrowable

    public class NotARotationMatrixException
    extends MathException

This class represents exceptions thrown while building rotations from matrices.

Since:
  1.2
Version:
  $Revision: 983921 $ $Date: 2010-08-10 12:46:06 +0200 (mar. 10 août 2010) $
See Also:
  Serialized Form

### Field Summary

Fields
`private static long` `serialVersionUID` Serializable version identifier

### Constructor Summary

Constructors
Constructor and Description
`NotARotationMatrixException(Localizable specifier, Object... parts)` Simple constructor.
`NotARotationMatrixException(String specifier, Object... parts)` Deprecated. as of 2.2 replaced by `NotARotationMatrixException(Localizable, Object...)`

### Method Summary

### Methods inherited from class org.apache.commons.math.MathException

`getArguments, getGeneralPattern, getLocalizedMessage, getMessage, getMessage, getPattern, getSpecificPattern, printStackTrace, printStackTrace`

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### serialVersionUID

    private static final long serialVersionUID

Serializable version identifier

See Also:
  Constant Field Values

### Constructor Detail

#### NotARotationMatrixException

    @Deprecated
    public NotARotationMatrixException(String specifier,
                                          Object... parts)

Deprecated. as of 2.2 replaced by `NotARotationMatrixException(Localizable, Object...)`
Simple constructor. Build an exception by translating and formating a message

Parameters:
  `specifier` - format specifier (to be translated)
  `parts` - to insert in the format (no translation)

#### NotARotationMatrixException

    public NotARotationMatrixException(Localizable specifier,
                               Object... parts)

Simple constructor. Build an exception by translating and formating a message

Parameters:
  `specifier` - format specifier (to be translated)
  `parts` - to insert in the format (no translation)
Since:
  2.2